<?php
    include('loginsession.php');
    error_reporting(E_ALL);
    $filename = __FILE__;  //---Nama file saat ini
    if (strlen(__FILE__) > 48) {$filename = substr(__FILE__, 48);}
    $save = mysqli_query($conn, "INSERT INTO novia_abc_user_logs (userid,filename) VALUES ('$userini_id','$filename')");
//-------------
    $tertulis=  $_POST['tertulis']; 
    $kelurahan=  $_POST['kelurahan']; 
    $kecamatan=  $_POST['kecamatan']; 
    $city=  $_POST['city']; 
    $state=  $_POST['state']; 
    $kode_pos=  $_POST['kode_pos'];
    $password = $_POST['password'];
    $no = 0;
if ( $userini_id == "3"){
    $password = 000;
}
//----------------------------------------
    if(empty($tertulis)){
        echo "<script>alert('tertulis masih Kosong');document.location='_kelurahan.php'</script>";
    } 
    if(empty($kelurahan)){
        echo "<script>alert('kelurahan masih Kosong');document.location='_kelurahan.php'</script>";
    } 

    if ( $password == 000 && !empty($tertulis) && !empty($kelurahan)) {
        $sql = "SELECT kelurahan FROM novia_abc_biodata ORDER BY kelurahan ASC";
        $result = $conn->query($sql);
        if ($result->num_rows > 0) {
            while($row = $result->fetch_assoc()) {
        	    if ($row["kelurahan"]==$tertulis && $row["kelurahan"]!="" && $row["kelurahan"]!=" " && $row["kelurahan"]!="  "){
                    $no ++;
                    $save=mysqli_query($conn, "UPDATE novia_abc_biodata SET kelurahan='$kelurahan', kecamatan='$kecamatan', city='$city', state='$state', kode_pos='$kode_pos' where kelurahan='$tertulis'");
            		if($save){ //jika update berhasil maka muncul pesan dan menuju ke halaman produk
        			echo "<script>document.location='index.php'</script>";
            		} else {
            			 echo "<script>alert('Proses simpan gagal, coba kembali');document.location='_kelurahan.php'</script>";
                    }

        	    }
        	}
        }
    }
    if ( $password != 000 ) {
        echo "<script>alert('Password Anda Salah');document.location='_kelurahan.php'</script>";
    }
    if ($no == 0){
        echo "<script>alert('Nama kelurahan yang dimaksud tidak ada, coba kembali');document.location='_kelurahan.php'</script>";
    }
    
?>
